> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Sora Result Fetch

> Query current video generation results by jobId



## OpenAPI

````yaml openapi/en/sora.json get /sora/fetch
openapi: 3.1.0
info:
  title: Sora API DOCS
  version: 1.0.0
  description: TTAPI Sora API service
servers:
  - url: https://api.ttapi.io
security: []
paths:
  /sora/fetch:
    get:
      description: Query current video generation results by jobId
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/FetchRequest'
      responses:
        '200':
          description: Video creation request successful
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - PENDING_QUEUE
                      - ON_QUEUE
                      - SUCCESS
                      - FAILED
                    description: >-
                      Task status: PENDING_QUEUE-queued, ON_QUEUE-processing,
                      SUCCESS-success, FAILED-failed
                    example: SUCCESS
                  message:
                    type: string
                    description: >-
                      Response message: empty string on success, returns
                      specific error reason on failure (e.g., 'insufficient
                      quota', 'prompt violation')
                    example: ''
                  jobId:
                    type: string
                    description: >-
                      Unique task identifier for querying task status or
                      receiving callback notifications
                    example: c679a92e-dae0-462d-b70f-dcfeaf2189fa
                  data:
                    oneOf:
                      - title: Create video
                        type: object
                        description: Create video
                        properties:
                          model:
                            type: string
                            description: Model to use
                          prompt:
                            type: string
                            description: Video description
                          referImages:
                            type: array
                            description: >-
                              Reference image array. Validity: see [Storage and
                              Persistence](/grids/en/faq/storage)
                          videoUrl:
                            type: string
                            description: >-
                              Video URL. Validity: see [Storage and
                              Persistence](/grids/en/faq/storage)
                          quota:
                            type: string
                            description: Quota consumed
                          hookUrl:
                            type: string
                            description: Callback URL
                          finishTime:
                            type: string
                            description: Completion time
                      - type: object
                        title: Create character
                        description: Create character
                        properties:
                          timestamps:
                            type: string
                            description: Character appearance time in video
                          url:
                            type: string
                            description: URL
                          userName:
                            type: array
                            description: Character name
                          userPictureUrl:
                            type: string
                            description: >-
                              Character avatar. Validity: see [Storage and
                              Persistence](/grids/en/faq/storage)
                          quota:
                            type: string
                            description: Quota consumed
                          hookUrl:
                            type: string
                            description: Callback URL
                          finishTime:
                            type: string
                            description: Completion time
                      - type: object
                        title: Remove watermark
                        description: Remove watermark
                        properties:
                          url:
                            type: string
                            description: URL
                          videoUrl:
                            type: string
                            description: >-
                              Video URL. Validity: see [Storage and
                              Persistence](/grids/en/faq/storage)
                          quota:
                            type: string
                            description: Quota consumed
                          hookUrl:
                            type: string
                            description: Callback URL
                          finishTime:
                            type: string
                            description: Completion time
                required:
                  - status
                  - message
                  - jobId
                example:
                  status: SUCCESS
                  message: ''
                  jobId: c679a92e-dae0-462d-b70f-dcfeaf2189fa
                  data:
                    model: sora-2
                    prompt: >-
                      Style: Modern advertising, photorealism, iPhone
                      photography. Scene: A coffee shop in downtown. A man in a
                      light-colored shirt opens his laptop and drinks coffee.
                      Camera: Close-up, slight zoom. Lighting: Soft light from
                      the window, reflections on the table. Action: Looking up,
                      smiling, typing
                    referImages: null
                    videoUrl: >-
                      https://cdn.ttapi.io/other/2025-10-10/35f50ab8-6f98-493d-94c4-5587ca246bb3.mp4
                    quota: '3'
                    finishTime: '2025-10-10 07:24:42'
                    hookUrl: null
        '400':
          $ref: '#/components/responses/400Response'
        '401':
          $ref: '#/components/responses/401Response'
      security:
        - CustomApiKey: []
components:
  schemas:
    FetchRequest:
      type: object
      properties:
        jobId:
          type: string
          description: Job ID of the generated video
      required:
        - jobId
  responses:
    400Response:
      description: Parameter error
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: '"prompt" cannot be empty.'
              data:
                type: object
            required:
              - status
              - message
    401Response:
      description: Authorization failed
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: Wrong TT-API-KEY or email is not activated.
            required:
              - status
              - message
  securitySchemes:
    CustomApiKey:
      type: apiKey
      in: header
      name: TT-API-KEY
      description: >-
        You can obtain your API key from the <a
        href='https://dashboard.ttapi.io' target='_blank'>TTAPI Dashboard</a>.

````